Subject: Re: bug#39775: guix pull - error: lmdbxx: unbound variable

From: zimoun <[email-masked]>
Date: Tue, 25 Feb 2020 18:35:41 +0100

Dear,

On Tue, 25 Feb 2020 at 18:29, Martin Flack <[email-masked]> wrote:

> I think the problem was I had copied gnu/packages/databases.scm to a custom GUIX_PACKAGE_PATH in order to apply a patch from the mailing lists, without keeping it up-to-date with the rest of the contents of the file as guix had further commits over time. I know there must be a way to do that more cleanly where (a) you only override the necessary packages and (b) somehow it becomes moot or you get notified when that package is upgraded in mainline; but I have not yet learned how to do that! (Any tutorial?)

Maybe what you are looking for is channel and manifest.
Please ask on help-guix or IRC more details. :-)
And I do not know any tutorial yet, perhaps once you solved your
problem, you could write one. ;-)

All the best,
simon